%define srcname CouchDB
Name:           python-couchdb
Version:        0.8
Release:        %mkrel 2
Summary:        A Python library for working with CouchDB

Group:          Development/Python
License:        BSD
URL:            http://code.google.com/p/couchdb-python/
Source0:        http://pypi.python.org/packages/source/C/CouchDB/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  python-devel 
BuildRequires:  python-setuptools
Requires:       python-simplejson
# remove in 2013 once 2010.0 is not supported anymore
Obsoletes:       %{name}-devel < 0.8

%description
Providing a convenient high level interface for the CouchDB server.


%prep
%setup -q -n %{srcname}-%{version}

%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install --skip-build --root %{buildroot}

# calm rpmlint down
find  %{buildroot}/%{python_sitelib}/couchdb -name \*.py -print0 | xargs --null chmod 0644


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog.txt COPYING README.txt 
%doc doc/
%{_bindir}/couchdb-dump
%{_bindir}/couchdb-load
%{_bindir}/couchdb-replicate
%{_bindir}/couchpy
%{python_sitelib}/CouchDB-%{version}-py%{python_version}.egg-info
%{python_sitelib}/couchdb




%changelog
* Tue Apr 19 2011 misc <misc> 0.8-2.mga1
+ Revision: 88393
- remove %%py_requires macro, to deprecate it later
- imported package python-couchdb


* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 0.8-2mdv2011.0
+ Revision: 590613
- rebuild for python 2.7

* Tue Aug 17 2010 Michael Scherer <misc@mandriva.org> 0.8-1mdv2011.0
+ Revision: 570880
- remove patch 1, just here to prevent some rpmlint warning
- update to 0.8
- merge -devel in main package, as this doesn't warrant a separate rpm

* Sun Apr 18 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7-2mdv2010.1
+ Revision: 536260
- Version 0.7 no longer requires python-httplib2

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7-1mdv2010.1
+ Revision: 535659
- update to new version 0.7

* Sat Feb 13 2010 Frederik Himpe <fhimpe@mandriva.org> 0.6.1-2mdv2010.1
+ Revision: 505607
- Does not require couchdb

* Fri Feb 12 2010 Frederik Himpe <fhimpe@mandriva.org> 0.6.1-1mdv2010.1
+ Revision: 505157
- Use %%py_requires macro
- First Mandriva package based on Fedora's
- create python-couchdb

